import axios from 'axios'

const service = axios.create({
  withCredentials: true,
  timeout: 5000,
})

service.interceptors.request.use(
  (config) => {
    // config.headers['nssoticket'] = 'system-a6c1d3f4-038b-4a04-9e13-c6b227e77715'
    return config
  },
  (error) => {
    console.log(error)
    return Promise.reject(error)
  },
)

service.interceptors.response.use(
  (response) => {
    const res = response.data
    if (res.code !== 200) {
      return Promise.reject(new Error(res.message || 'Error'))
    } else {
      return res
    }
  },
  (error) => {
    console.log('err' + error)

    return Promise.reject(error)
  },
)

export default service
